# class HTTPRequest<T>

#### package lime.net

Available on all platforms

### Constructor

###

`new (?uri:String)`

### Variables

###

`contentType:String`

###

`data:Bytes`

###

`enableResponseHeaders:Bool`

###

`followRedirects:Bool`

###

`formData:Map<String, Dynamic>`

###

`headers:Array<HTTPRequestHeader>`

###

`method:HTTPRequestMethod`

###

`responseData:T`

###

`responseHeaders:Array<HTTPRequestHeader>`

###

`responseStatus:Int`

###

`timeout:Int`

###

`uri:String`

###

`userAgent:String`

###

`withCredentials:Bool`

### Methods

###

`cancel ():Void`

###

`load (?uri:String):Future<T>`